### Method

# JavaScriptCore Context throw_printf

#### Declaration [src]

    void
    jsc_context_throw_printf (
      JSCContext* context,
      const char* format,
      ...
    )

#### Description [src]

Throw an exception to `context` using the given formatted string as error message. The created `JSCException` can be retrieved with jsc_context_get_exception().

This method is not directly available to language bindings.

#### Parameters

`format` | `const char*`
| The string format.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`...` | ``
| The parameters to insert into the format string.